Name:           lmc
URL:            http://www.lanmsngr.sf.net/
Group:          Networking/Chat
Summary:        LAN Messenger Instant messaging client
Version:        1.2.35
Release:        %mkrel 3
License:        GPL-3.0
Source0:        http://downloads.sourceforge.net/project/lanmsngr/%{version}/%{name}-%{version}-src.zip
Source1:        %{name}-%{version}-lang.zip
Patch0:         %{name}-qtlocalpeer.patch
Patch1:         %{name}-buildx11.patch
Patch2:         %{name}-lan-messenger.patch
Patch3:         %{name}-lmc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  openssl-devel
BuildRequires:  qt4-devel phonon-devel kdelibs-devel qt-devel
BuildRequires:  ImageMagick
BuildRequires:  unzip
Requires:	%{_lib}qtgui4
Requires:	%{_lib}qtcore4
Obsoletes:	lan-messenger < %version
Provides:	lan-messenger = %version-%release

%description
LAN Messenger is a free and open source cross-platform instant messaging
application for communication over a local network. It does not require a
server. A number of useful features including event notifications, file transfer
and message logging are provided.
Authors: Qualia Digital Solutions <qualiatech@gmail.com>

%prep
%setup -q -c
%patch0
%patch1
%patch2
%patch3

%build
export PATH=/usr/lib/qt4/bin:$PATH
export QTDIR=%{_prefix}/lib/qt4/
pushd lmcapp/src
qmake QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags"
make
popd
pushd lmc/src
qmake QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags"
make

%install
rm -rf %buildroot
install -d -m 755 %{buildroot}%{_libdir}/%{name}
pushd lmc/src
chmod 755 ./scripts/buildx11
sed -i 2i"QTDIR=%{_libdir}\nSSLDIR=/%{_lib}" scripts/buildx11
./scripts/buildx11 %{buildroot}%{_libdir}/%{name}
popd
install -m 0755 lmc/release/lan-messenger %{buildroot}%{_libdir}/%{name}/
install -D -m 0644 lmc/setup/x11/package/usr/share/applications/lmc.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
convert lmc/src/resources/icons/%{name}.ico\[0\] %{name}.png
install -D -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,22x22,24x24,32x32,36x36,48x48,64x64,72x72,96x96,128x128,192x192,256x256}/apps
for size in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256
do
if [ "$size" = 256x256 ]
then
install -D -m 0644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/$size/apps/%{name}.png
continue
fi
convert -size 256x256 %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize $size %{buildroot}%{_datadir}/icons/hicolor/$size/apps/%{name}.png
done
install -d -m 755 %{buildroot}%{_bindir}
ln -sfv %{_libdir}/%{name}/lan-messenger.sh %{buildroot}%{_bindir}/%{name}

unzip %{SOURCE1} -d %{buildroot}%{_libdir}/%{name}/lang

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%files
%defattr(-, root, root)
%doc README.TXT
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Fri Oct 09 2014 bb <bb> lmc-1.2.35-1pclos2014
- update package change name
